Get beneficiary field requirements
curl --request GET \
--url https://api-sandbox.circle.com/v1/beneficiaries/requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/beneficiaries/requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/beneficiaries/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/beneficiaries/requirements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/beneficiaries/requirements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.circle.com/v1/beneficiaries/requirements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/beneficiaries/requirements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"fields": [
{
"name": "CLABE",
"type": "TEXT",
"required": true,
"pattern": "^[0-9]{18}$",
"validationDetails": "18 digits: 3 bank + 3 branch + 11 account + 1 check digit."
},
{
"name": "BANK_NAME",
"type": "TEXT",
"required": true,
"pattern": "^.{1,140}$",
"validationDetails": "Full legal name. Maximum 140 characters."
},
{
"name": "BENEFICIARY_NAME",
"type": "TEXT",
"required": true,
"pattern": "^.{1,140}$",
"validationDetails": "Full legal name. Maximum 140 characters."
},
{
"name": "BENEFICIARY_ADDRESS",
"type": "ADDRESS",
"required": true,
"fields": [
{
"name": "STREET",
"type": "TEXT",
"required": true,
"pattern": "^.{1,140}$",
"validationDetails": "Street address. Maximum 140 characters."
},
{
"name": "CITY",
"type": "TEXT",
"required": true,
"pattern": "^.{1,70}$",
"validationDetails": "City or municipality name."
},
{
"name": "COUNTRY",
"type": "TEXT",
"required": true,
"pattern": "^[A-Z]{2}$",
"validationDetails": "ISO 3166-1 alpha-2 country code."
},
{
"name": "POSTAL_CODE",
"type": "TEXT",
"required": true,
"validationDetails": "Postal or zip code."
},
{
"name": "STATE_PROVINCE",
"type": "TEXT",
"required": true,
"pattern": "^.{1,50}$",
"validationDetails": "State, province, or administrative region."
}
]
}
]
}
}Get beneficiary field requirements
Returns the set of fields a customer must collect to register a beneficiary for a given payment corridor. Requirements are sourced from a static corridor table.
Use the returned field names as keys in the bankAccount and travelRule objects when
calling POST /v1/beneficiaries. Fields with type: ADDRESS contain nested sub-fields
in the fields array.
GET
/
v1
/
beneficiaries
/
requirements
Get beneficiary field requirements
curl --request GET \
--url https://api-sandbox.circle.com/v1/beneficiaries/requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/beneficiaries/requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/beneficiaries/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/beneficiaries/requirements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/beneficiaries/requirements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.circle.com/v1/beneficiaries/requirements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/beneficiaries/requirements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"fields": [
{
"name": "CLABE",
"type": "TEXT",
"required": true,
"pattern": "^[0-9]{18}$",
"validationDetails": "18 digits: 3 bank + 3 branch + 11 account + 1 check digit."
},
{
"name": "BANK_NAME",
"type": "TEXT",
"required": true,
"pattern": "^.{1,140}$",
"validationDetails": "Full legal name. Maximum 140 characters."
},
{
"name": "BENEFICIARY_NAME",
"type": "TEXT",
"required": true,
"pattern": "^.{1,140}$",
"validationDetails": "Full legal name. Maximum 140 characters."
},
{
"name": "BENEFICIARY_ADDRESS",
"type": "ADDRESS",
"required": true,
"fields": [
{
"name": "STREET",
"type": "TEXT",
"required": true,
"pattern": "^.{1,140}$",
"validationDetails": "Street address. Maximum 140 characters."
},
{
"name": "CITY",
"type": "TEXT",
"required": true,
"pattern": "^.{1,70}$",
"validationDetails": "City or municipality name."
},
{
"name": "COUNTRY",
"type": "TEXT",
"required": true,
"pattern": "^[A-Z]{2}$",
"validationDetails": "ISO 3166-1 alpha-2 country code."
},
{
"name": "POSTAL_CODE",
"type": "TEXT",
"required": true,
"validationDetails": "Postal or zip code."
},
{
"name": "STATE_PROVINCE",
"type": "TEXT",
"required": true,
"pattern": "^.{1,50}$",
"validationDetails": "State, province, or administrative region."
}
]
}
]
}
}Authorizations
Query Parameters
Was this page helpful?